/// <reference types="@types/node" />
export interface SubscriptionOptions {
    query: string;
    variables?: Object;
    operationName?: string;
    context?: any;
}
export default class Client {
    client: any;
    subscriptionHandlers: {
        [id: string]: (error: Error[], result?: any) => void;
    };
    private maxId;
    private subscriptionTimeout;
    private waitingSubscriptions;
    private unsentMessagesQueue;
    constructor(url: string, options?: {
        timeout: number;
    });
    subscribe(options: SubscriptionOptions, handler: (error: Error[], result?: any) => void): number;
    unsubscribe(id: number): void;
    unsubscribeAll(): void;
    private sendMessage(message);
    private generateSubscriptionId();
    private formatErrors(errors);
}
